Debian Bug report logs - #662996
cups: FTBFS(!linux): failing in i18n testsuite

version graph

Package: src:cups; Maintainer for src:cups is Debian Printing Team <debian-printing@lists.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Wed, 7 Mar 2012 21:48:10 UTC

Severity: serious

Tags: sid, wheezy

Found in versions cups/1.5.2-7, cups/1.5.2-6

Fixed in version cups/1.5.2-8

Done: Martin Pitt <mpitt@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#662996; Package src:cups. (Wed, 07 Mar 2012 21:48:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Wed, 07 Mar 2012 21:48:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: cups: FTBFS(!linux): failing in i18n testsuite
Date: Wed, 07 Mar 2012 22:47:42 +0100
Package: src:cups
Version: 1.5.2-6
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* and hurd-* buildds:

./testi18n
cupsUTF8ToUTF32 of utfdemo.txt: PASS
cupsUTF8ToCharset(CUPS_EUC_JP) of utfdemo.txt: PASS
cupsUTF8ToCharset(CUPS_ISO8859_1): PASS
cupsCharsetToUTF8(CUPS_ISO8859_1): PASS
cupsUTF8ToCharset(CUPS_ISO8859_7): PASS
cupsCharsetToUTF8(CUPS_ISO8859_7): PASS
cupsUTF8ToCharset(CUPS_WINDOWS_932): PASS
cupsCharsetToUTF8(CUPS_WINDOWS_932): PASS
cupsUTF8ToCharset(CUPS_EUC_JP): PASS
cupsCharsetToUTF8(CUPS_EUC_JP): FAIL (len=5, expected 9)
    utf8japan: 41 20 21 3d 20 ee9c80 2e
    utf8dest: 41 20 21 3d 20
cupsUTF8ToCharset(CUPS_WINDOWS_950): PASS
cupsCharsetToUTF8(CUPS_WINDOWS_950): PASS
cupsUTF8ToCharset(CUPS_EUC_TW): PASS
cupsCharsetToUTF8(CUPS_EUC_TW): PASS
make[2]: *** [testi18n] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=cups&arch=kfreebsd-i386&ver=1.5.2-6&stamp=1330934110

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#662996; Package src:cups. (Sat, 10 Mar 2012 11:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. (Sat, 10 Mar 2012 11:36:06 GMT) Full text and rfc822 format available.

Message #10 received at 662996@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: 662996@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: cups: FTBFS(!linux): failing in i18n testsuite
Date: Sat, 10 Mar 2012 12:33:02 +0100
[Message part 1 (text/plain, inline)]
Alle mercoledì 7 marzo 2012, Christoph Egger ha scritto:
> Your package failed to build on the kfreebsd-* and hurd-* buildds:
> 
> ./testi18n
> [...]
> cupsCharsetToUTF8(CUPS_EUC_JP): FAIL (len=5, expected 9)
>     utf8japan: 41 20 21 3d 20 ee9c80 2e
>     utf8dest: 41 20 21 3d 20

Looking at cups/testi18n.c, this check is enclosed within a
«#ifndef __linux ... #endif» block, so most probably it would fail on 
Linux too.
Inspecting the SVN history, we can find r9455 (in trunk, shortly before 
the 1.5 branching) that adds the #ifndef block; unfortunately, the 
reasons why it has been done are very scarce:
$ LC_ALL=C svn log -v -c 9455 
------------------------------------------------------------------------
r9455 | mike | 2011-01-10 09:06:59 +0100 (Mon, 10 Jan 2011) | 2 lines
Changed paths:
   M /trunk/cups/testi18n.c

Don't require one of the UTF-8 tests to pass on Linux...

------------------------------------------------------------------------

One reason I can find about the failure is some different iconv 
behaviour of the GNU libc implementation vs other (Apple?) ones.

The possible two fixes I see are:
a) find out why such test fails even on Linux (with GNU libc), fix that 
and most probably it will pass on kFreeBSD and Hurd too
b) extend that #ifndef block like «#if !defined(__linux__) && 
!defined(__GLIBC__)» (which could be some temporary workaround in a 
Debian patch)

-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Tue, 13 Mar 2012 11:06:21 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Tue, 13 Mar 2012 11:06:25 GMT) Full text and rfc822 format available.

Message #15 received at 662996-close@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: 662996-close@bugs.debian.org
Subject: Bug#662996: fixed in cups 1.5.2-7
Date: Tue, 13 Mar 2012 11:02:36 +0000
Source: cups
Source-Version: 1.5.2-7

We believe that the bug you reported is fixed in the latest version of
cups, which is due to be installed in the Debian FTP archive:

cups-bsd_1.5.2-7_amd64.deb
  to main/c/cups/cups-bsd_1.5.2-7_amd64.deb
cups-client_1.5.2-7_amd64.deb
  to main/c/cups/cups-client_1.5.2-7_amd64.deb
cups-common_1.5.2-7_all.deb
  to main/c/cups/cups-common_1.5.2-7_all.deb
cups-dbg_1.5.2-7_amd64.deb
  to main/c/cups/cups-dbg_1.5.2-7_amd64.deb
cups-ppdc_1.5.2-7_amd64.deb
  to main/c/cups/cups-ppdc_1.5.2-7_amd64.deb
cups_1.5.2-7.debian.tar.gz
  to main/c/cups/cups_1.5.2-7.debian.tar.gz
cups_1.5.2-7.dsc
  to main/c/cups/cups_1.5.2-7.dsc
cups_1.5.2-7_amd64.deb
  to main/c/cups/cups_1.5.2-7_amd64.deb
cupsddk_1.5.2-7_all.deb
  to main/c/cups/cupsddk_1.5.2-7_all.deb
libcups2-dev_1.5.2-7_amd64.deb
  to main/c/cups/libcups2-dev_1.5.2-7_amd64.deb
libcups2_1.5.2-7_amd64.deb
  to main/c/cups/libcups2_1.5.2-7_amd64.deb
libcupscgi1-dev_1.5.2-7_amd64.deb
  to main/c/cups/libcupscgi1-dev_1.5.2-7_amd64.deb
libcupscgi1_1.5.2-7_amd64.deb
  to main/c/cups/libcupscgi1_1.5.2-7_amd64.deb
libcupsdriver1-dev_1.5.2-7_amd64.deb
  to main/c/cups/libcupsdriver1-dev_1.5.2-7_amd64.deb
libcupsdriver1_1.5.2-7_amd64.deb
  to main/c/cups/libcupsdriver1_1.5.2-7_amd64.deb
libcupsimage2-dev_1.5.2-7_amd64.deb
  to main/c/cups/libcupsimage2-dev_1.5.2-7_amd64.deb
libcupsimage2_1.5.2-7_amd64.deb
  to main/c/cups/libcupsimage2_1.5.2-7_amd64.deb
libcupsmime1-dev_1.5.2-7_amd64.deb
  to main/c/cups/libcupsmime1-dev_1.5.2-7_amd64.deb
libcupsmime1_1.5.2-7_amd64.deb
  to main/c/cups/libcupsmime1_1.5.2-7_amd64.deb
libcupsppdc1-dev_1.5.2-7_amd64.deb
  to main/c/cups/libcupsppdc1-dev_1.5.2-7_amd64.deb
libcupsppdc1_1.5.2-7_amd64.deb
  to main/c/cups/libcupsppdc1_1.5.2-7_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662996@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Pitt <mpitt@debian.org> (supplier of updated cups package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 13 Mar 2012 11:46:09 +0100
Source: cups
Binary: libcups2 libcupsimage2 libcupscgi1 libcupsdriver1 libcupsmime1 libcupsppdc1 cups cups-client libcups2-dev libcupsimage2-dev libcupscgi1-dev libcupsdriver1-dev libcupsmime1-dev libcupsppdc1-dev cups-bsd cups-common cups-ppdc cups-dbg cupsddk
Architecture: source all amd64
Version: 1.5.2-7
Distribution: unstable
Urgency: low
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Changed-By: Martin Pitt <mpitt@debian.org>
Description: 
 cups       - Common UNIX Printing System(tm) - server
 cups-bsd   - Common UNIX Printing System(tm) - BSD commands
 cups-client - Common UNIX Printing System(tm) - client programs (SysV)
 cups-common - Common UNIX Printing System(tm) - common files
 cups-dbg   - Common UNIX Printing System(tm) - debugging symbols
 cups-ppdc  - Common UNIX Printing System(tm) - PPD manipulation utilities
 cupsddk    - Common UNIX Printing System (transitional package)
 libcups2   - Common UNIX Printing System(tm) - Core library
 libcups2-dev - Common UNIX Printing System(tm) - Development files CUPS library
 libcupscgi1 - Common UNIX Printing System(tm) - CGI library
 libcupscgi1-dev - Common UNIX Printing System(tm) - Development files for CGI libra
 libcupsdriver1 - Common UNIX Printing System(tm) - Driver library
 libcupsdriver1-dev - Common UNIX Printing System(tm) - Development files driver librar
 libcupsimage2 - Common UNIX Printing System(tm) - Raster image library
 libcupsimage2-dev - Common UNIX Printing System(tm) - Development files CUPS image li
 libcupsmime1 - Common UNIX Printing System(tm) - MIME library
 libcupsmime1-dev - Common UNIX Printing System(tm) - Development files MIME library
 libcupsppdc1 - Common UNIX Printing System(tm) - PPD manipulation library
 libcupsppdc1-dev - Common UNIX Printing System(tm) - Development files PPD library
Closes: 662996
Changes: 
 cups (1.5.2-7) unstable; urgency=low
 .
   * Add fix-empty-translations.patch: Do not translate msgids to empty
     strings. Backported from upstream SVN. (LP: #953321)
   * Add test-i18n-nonlinux.patch: Do not run the CUPS_EUC_JP test case on
     BSD/Hurd either, as glibc's iconv behavior is different than what the test
     expects. (Closes: #662996)
   * debian/local/apparmor-profile: Allow gs to read /proc/*/auxv; it's
     harmless information. (LP: #936629)
   * debian/cups.dirs, debian/rules: Disable /usr/local/share/ppd/ directory
     for now, until dh_usrlocal stops failing on those.
Checksums-Sha1: 
 c741383706a1056c870838aed9ea5644c1181af2 3430 cups_1.5.2-7.dsc
 29f3203c7019f5e66574557fe4e64669017c1a79 324975 cups_1.5.2-7.debian.tar.gz
 e3484a17a124a8f0f301a987ebb3522948fd9d61 898500 cups-common_1.5.2-7_all.deb
 9e65bebb6e182f81b5d51c5f66f4dd2aa36d0ea6 83942 cupsddk_1.5.2-7_all.deb
 27a973d3c6327aafd215d0edc49b0bfd67b75c02 251748 libcups2_1.5.2-7_amd64.deb
 88fd40426453674f19db5fed1a26d0e5cf41043e 134544 libcupsimage2_1.5.2-7_amd64.deb
 bc15f066bf71d67b6b2a92123b7c4d2aab589852 112518 libcupscgi1_1.5.2-7_amd64.deb
 679d46a0648dde6e100fac03e11fddbe2c746925 101742 libcupsdriver1_1.5.2-7_amd64.deb
 921eca268aa415306e2fab34b69a07595845229f 95772 libcupsmime1_1.5.2-7_amd64.deb
 dc2cfc0d28458dc5a4989d33d892db8e3f93756a 136018 libcupsppdc1_1.5.2-7_amd64.deb
 4ba6f8f68d8e9e968af3c4fc04d81d59a7555a50 1358468 cups_1.5.2-7_amd64.deb
 06866ce8f5438b65a9ea2a316c3b46039b0a3a22 176524 cups-client_1.5.2-7_amd64.deb
 e799b01247038ebe80142f9e2cf60f7b896b74a8 324384 libcups2-dev_1.5.2-7_amd64.deb
 6765085fdbfca05cca2bfb8f294189003ec79c5a 65446 libcupsimage2-dev_1.5.2-7_amd64.deb
 cc5f44494f190127e792780e9dfe37364dda5fe8 118854 libcupscgi1-dev_1.5.2-7_amd64.deb
 a84300af93268dd66b95bfef62cac0c32fa45c9d 105188 libcupsdriver1-dev_1.5.2-7_amd64.deb
 491b9f2318d6d30f10cdc6fa1e3dbb5b3561935c 96816 libcupsmime1-dev_1.5.2-7_amd64.deb
 d176af420a52a2a0b3ca73754640ff6c77e7cf78 154134 libcupsppdc1-dev_1.5.2-7_amd64.deb
 11a8754cf15ee48384979436f2e7dc32413659d8 44982 cups-bsd_1.5.2-7_amd64.deb
 8b91da26a371818b7ce9e333d0c641872cd937d9 113532 cups-ppdc_1.5.2-7_amd64.deb
 4177989ae7315647923a751563edafe752ad95c9 1638406 cups-dbg_1.5.2-7_amd64.deb
Checksums-Sha256: 
 65fe58cffa04f13e7818925d945d9d66101b0d21dc63781f621d476ee3984fae 3430 cups_1.5.2-7.dsc
 04a300640ebb153f764a3fcfe07fa3bfbf1a65be1149139401c3d5e30b8b05f7 324975 cups_1.5.2-7.debian.tar.gz
 f5cc4384da7eb233448d90c564db7207e2bba242925a68dd9cac534419331bd6 898500 cups-common_1.5.2-7_all.deb
 3c3e858bfe93382ac7846b5c2c222a8a12d19087e36e40f5d2aa7aa6afeef69b 83942 cupsddk_1.5.2-7_all.deb
 459eaaed957640ae2d029399b93527b6bb175b965ebf4d469c8946d6b31a2eb9 251748 libcups2_1.5.2-7_amd64.deb
 f8195bdbba60d54cbe820843af1698e97a40bd388f7ba1bd93296c175a83c8e2 134544 libcupsimage2_1.5.2-7_amd64.deb
 f4bbdeb10516ec25ab9e8c92ef0a6610afdfea9d5f5d1db17716ae5a6801ddca 112518 libcupscgi1_1.5.2-7_amd64.deb
 4db4d1d08305a5e2fa613ff23b9b63320722fac6093d3a6cd21208f2458e604b 101742 libcupsdriver1_1.5.2-7_amd64.deb
 f609b5e6f04fcb659207870b08979745bbe7c2701f1bc464105b718ae3849262 95772 libcupsmime1_1.5.2-7_amd64.deb
 f05aaaca05474187b2989c928a4b79eec8ced5b8ecdbecd753e65339fb2bfd81 136018 libcupsppdc1_1.5.2-7_amd64.deb
 877bf18c3227e1b7c988e224c4fa7fea7bdfba6c08e63227914552f6e79ba5a4 1358468 cups_1.5.2-7_amd64.deb
 1c2bdf1ad25e2e24e1bf04b7b3facbdd674815915d36c94c1c3dbbec796603db 176524 cups-client_1.5.2-7_amd64.deb
 ce745054b1b2412e0256e6c73268e97758669d349c28a35ffdd83b097a8ac063 324384 libcups2-dev_1.5.2-7_amd64.deb
 95982f29350150c0c67ba29b8467ac3f0bff452e2aa90dabe0a5ebad222c1323 65446 libcupsimage2-dev_1.5.2-7_amd64.deb
 5493dc816bf5afc7f5c4676d4368a20df36a1bc6c6447c8e19de005b2903a1c4 118854 libcupscgi1-dev_1.5.2-7_amd64.deb
 6b0de6b6241a164568f038cec142c8b33ca458afbb9b577d7cfb79eb4d1a6da7 105188 libcupsdriver1-dev_1.5.2-7_amd64.deb
 b10ebbf416bf81d0232c8b439ca42127af8349432bc616ac07d4f918e3d56ca0 96816 libcupsmime1-dev_1.5.2-7_amd64.deb
 f2701b399e518c4db478adec92ee3734cd1ed7fc75d862df2f80c9d18ae96c66 154134 libcupsppdc1-dev_1.5.2-7_amd64.deb
 b2ed52fc023386b61c99f50315c3af065bf63c27d1b9ad580c132fea7a492c91 44982 cups-bsd_1.5.2-7_amd64.deb
 1e1f1e1a7cbee5447d2320b49fe970f66dcb41812edc92c156e9698aa941f0c4 113532 cups-ppdc_1.5.2-7_amd64.deb
 44050b4c8acaa6d0f89680f9d0959b90262a48fc0bdbce3dbc5fde28a7bfe6da 1638406 cups-dbg_1.5.2-7_amd64.deb
Files: 
 bc08b9322c67ebf40557eebd2ba2379e 3430 net optional cups_1.5.2-7.dsc
 7fd200a653ab75dbaf68d66af3a14e30 324975 net optional cups_1.5.2-7.debian.tar.gz
 9373a810ddc53d10b0224c202c631d88 898500 net optional cups-common_1.5.2-7_all.deb
 328382bc5f05ef8a76aa401adfe8821a 83942 oldlibs extra cupsddk_1.5.2-7_all.deb
 39eadc3f25058396cbdf2714657f39ff 251748 libs optional libcups2_1.5.2-7_amd64.deb
 16792ae5dff2d69ee7d9f83989ca34e1 134544 libs optional libcupsimage2_1.5.2-7_amd64.deb
 25160bb2c53bc0b38a2a5790b6f877de 112518 libs optional libcupscgi1_1.5.2-7_amd64.deb
 4e9fe7fab9cbecd76a553989eb947bd5 101742 libs optional libcupsdriver1_1.5.2-7_amd64.deb
 b4842a6d6757ef2ce34f0906cc0b0873 95772 libs optional libcupsmime1_1.5.2-7_amd64.deb
 e0e8517eb81faf67f5f9b5fe0f1a9c82 136018 libs optional libcupsppdc1_1.5.2-7_amd64.deb
 d6902cc51c46634a1bc9f447a903b2a8 1358468 net optional cups_1.5.2-7_amd64.deb
 fe41a6882d6f384f9c162401bdd18263 176524 net optional cups-client_1.5.2-7_amd64.deb
 50989de57cd424e9729fc08af3f92a6a 324384 libdevel optional libcups2-dev_1.5.2-7_amd64.deb
 45a0dfa6590d8c67380d242ca5881bae 65446 libdevel optional libcupsimage2-dev_1.5.2-7_amd64.deb
 a2be7dd096b2ef7c2fda46a0e21099d5 118854 libdevel optional libcupscgi1-dev_1.5.2-7_amd64.deb
 4a544f0402e43d319b244c03b4dd48c6 105188 libdevel optional libcupsdriver1-dev_1.5.2-7_amd64.deb
 52f3d6b4e94c5605538b26c409128ede 96816 libdevel optional libcupsmime1-dev_1.5.2-7_amd64.deb
 b5e61be5d49cb4ce2827a102abffd362 154134 libdevel optional libcupsppdc1-dev_1.5.2-7_amd64.deb
 b3e2dcc23cf66cd2ddc20e5605f3e54a 44982 net extra cups-bsd_1.5.2-7_amd64.deb
 0720ac57eb38bd9af2484d50f54e2054 113532 utils optional cups-ppdc_1.5.2-7_amd64.deb
 bcd27f0501c6ca44145f306e77e3ba0f 1638406 debug extra cups-dbg_1.5.2-7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPXyaKAAoJEPmIJawmtHufSZoP/iwWtGwppSprR9+aufueslPX
s6x1EQ4fK+QDgUh1vI71DhcjN1Z2ytMM6rSvMhufrZf8mVr1ucJwtxoS3hNE3c1D
W3bqWDT3wHSFPsdXD7ZMcwF6gOIX9ldaIwonak0L+mmz2clxdliUDs0kKkEDhSI6
PhktywBrJQ3LHcDkoH2cOly3tUgqEIXlH9VRHzvuHxhRkYYrOPeynHJx1bQuD1VS
+BgiedCAGAqrEcdi4XDTzwcw3MLTF+RyMEpRih7s8FErHJjgA22wBCZqeNVo6ZNO
6/ajbPeuWheAvYRP+Dn5yOOM7mapOF6CjSkh6+/yPy+F9VVT7VFoNxRPRXGh9cEx
Cse8kOakozNDdTIzlc7d/RB4g00M9KVGykwSn/7shQNQB07b0pVFCaqNXgywXLjv
2x4LtKCGRb8QKdA/7BJLfR3CIs+oPdChczYYnWdSBEOLBwUMJmLU2YSTsTofO60w
vTTAlOnSGEBTr80mRvMMTXdakOHQfoANbioN1JjUiza0zBZlCTYJBKOSd6JoL/6P
Ez/Q+K2TYlATrAu2AeQH2XOSsr+SxpDu2wW2atYae2R9PU4g3aZAnpi8IvjBcb+U
EY3bdwJcNfuKRcXVwPKDgZ8GIZ6buuhyfPVMrs5Sa2UEVACEZCcmS0KpLpjq0cnH
cO2wn9GSRQ4UNlTrOpkC
=bwk2
-----END PGP SIGNATURE-----





Bug Marked as found in versions cups/1.5.2-7; no longer marked as fixed in versions cups/1.5.2-7 and reopened. Request was from Christoph Egger <christoph@debian.org> to control@bugs.debian.org. (Tue, 13 Mar 2012 14:36:03 GMT) Full text and rfc822 format available.

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Wed, 14 Mar 2012 15:21:08 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Wed, 14 Mar 2012 15:21:08 GMT) Full text and rfc822 format available.

Message #22 received at 662996-close@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: 662996-close@bugs.debian.org
Subject: Bug#662996: fixed in cups 1.5.2-8
Date: Wed, 14 Mar 2012 15:18:31 +0000
Source: cups
Source-Version: 1.5.2-8

We believe that the bug you reported is fixed in the latest version of
cups, which is due to be installed in the Debian FTP archive:

cups-bsd_1.5.2-8_amd64.deb
  to main/c/cups/cups-bsd_1.5.2-8_amd64.deb
cups-client_1.5.2-8_amd64.deb
  to main/c/cups/cups-client_1.5.2-8_amd64.deb
cups-common_1.5.2-8_all.deb
  to main/c/cups/cups-common_1.5.2-8_all.deb
cups-dbg_1.5.2-8_amd64.deb
  to main/c/cups/cups-dbg_1.5.2-8_amd64.deb
cups-ppdc_1.5.2-8_amd64.deb
  to main/c/cups/cups-ppdc_1.5.2-8_amd64.deb
cups_1.5.2-8.debian.tar.gz
  to main/c/cups/cups_1.5.2-8.debian.tar.gz
cups_1.5.2-8.dsc
  to main/c/cups/cups_1.5.2-8.dsc
cups_1.5.2-8_amd64.deb
  to main/c/cups/cups_1.5.2-8_amd64.deb
cupsddk_1.5.2-8_all.deb
  to main/c/cups/cupsddk_1.5.2-8_all.deb
libcups2-dev_1.5.2-8_amd64.deb
  to main/c/cups/libcups2-dev_1.5.2-8_amd64.deb
libcups2_1.5.2-8_amd64.deb
  to main/c/cups/libcups2_1.5.2-8_amd64.deb
libcupscgi1-dev_1.5.2-8_amd64.deb
  to main/c/cups/libcupscgi1-dev_1.5.2-8_amd64.deb
libcupscgi1_1.5.2-8_amd64.deb
  to main/c/cups/libcupscgi1_1.5.2-8_amd64.deb
libcupsdriver1-dev_1.5.2-8_amd64.deb
  to main/c/cups/libcupsdriver1-dev_1.5.2-8_amd64.deb
libcupsdriver1_1.5.2-8_amd64.deb
  to main/c/cups/libcupsdriver1_1.5.2-8_amd64.deb
libcupsimage2-dev_1.5.2-8_amd64.deb
  to main/c/cups/libcupsimage2-dev_1.5.2-8_amd64.deb
libcupsimage2_1.5.2-8_amd64.deb
  to main/c/cups/libcupsimage2_1.5.2-8_amd64.deb
libcupsmime1-dev_1.5.2-8_amd64.deb
  to main/c/cups/libcupsmime1-dev_1.5.2-8_amd64.deb
libcupsmime1_1.5.2-8_amd64.deb
  to main/c/cups/libcupsmime1_1.5.2-8_amd64.deb
libcupsppdc1-dev_1.5.2-8_amd64.deb
  to main/c/cups/libcupsppdc1-dev_1.5.2-8_amd64.deb
libcupsppdc1_1.5.2-8_amd64.deb
  to main/c/cups/libcupsppdc1_1.5.2-8_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662996@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Pitt <mpitt@debian.org> (supplier of updated cups package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 14 Mar 2012 14:40:23 +0100
Source: cups
Binary: libcups2 libcupsimage2 libcupscgi1 libcupsdriver1 libcupsmime1 libcupsppdc1 cups cups-client libcups2-dev libcupsimage2-dev libcupscgi1-dev libcupsdriver1-dev libcupsmime1-dev libcupsppdc1-dev cups-bsd cups-common cups-ppdc cups-dbg cupsddk
Architecture: source all amd64
Version: 1.5.2-8
Distribution: unstable
Urgency: low
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Changed-By: Martin Pitt <mpitt@debian.org>
Description: 
 cups       - Common UNIX Printing System(tm) - server
 cups-bsd   - Common UNIX Printing System(tm) - BSD commands
 cups-client - Common UNIX Printing System(tm) - client programs (SysV)
 cups-common - Common UNIX Printing System(tm) - common files
 cups-dbg   - Common UNIX Printing System(tm) - debugging symbols
 cups-ppdc  - Common UNIX Printing System(tm) - PPD manipulation utilities
 cupsddk    - Common UNIX Printing System (transitional package)
 libcups2   - Common UNIX Printing System(tm) - Core library
 libcups2-dev - Common UNIX Printing System(tm) - Development files CUPS library
 libcupscgi1 - Common UNIX Printing System(tm) - CGI library
 libcupscgi1-dev - Common UNIX Printing System(tm) - Development files for CGI libra
 libcupsdriver1 - Common UNIX Printing System(tm) - Driver library
 libcupsdriver1-dev - Common UNIX Printing System(tm) - Development files driver librar
 libcupsimage2 - Common UNIX Printing System(tm) - Raster image library
 libcupsimage2-dev - Common UNIX Printing System(tm) - Development files CUPS image li
 libcupsmime1 - Common UNIX Printing System(tm) - MIME library
 libcupsmime1-dev - Common UNIX Printing System(tm) - Development files MIME library
 libcupsppdc1 - Common UNIX Printing System(tm) - PPD manipulation library
 libcupsppdc1-dev - Common UNIX Printing System(tm) - Development files PPD library
Closes: 662996
Changes: 
 cups (1.5.2-8) unstable; urgency=low
 .
   [ Till Kamppeter ]
   * debian/patches/ipp-fixes-1.5.3.patch: Updated IPP backend to the state of
     the upcoming CUPS 1.5.3, fixing most of the known problems with printing
     to IPP printers or servers.
   * debian/patches/ipp-backend-fails-to-trigger-authentication-prompts.patch,
     debian/patches/ipp-backend-http-1.0-fallback-fix.patch,
     debian/patches/ipp-backend-missing-document-type.patch: Removed old
     patches for the IPP backend.
 .
   [ Martin Pitt ]
   * test-i18n-nonlinux.patch: Fix typo in #if which broke the patch. Hopefully
     Closes: #662996 for good now.
Checksums-Sha1: 
 54abee674484eec08a59bc43d20d7989e2921240 3430 cups_1.5.2-8.dsc
 7cbabf0510f1f9a04d15a33a066be792df88163f 335980 cups_1.5.2-8.debian.tar.gz
 85a98f0167a9c8e4cd01dedb05a3130d0fc8dde1 898562 cups-common_1.5.2-8_all.deb
 e005b7b8d641ec10f94e0083e7e3a5c930f0c852 84032 cupsddk_1.5.2-8_all.deb
 628e6f1a3db3daf4ac983a6732771d53364a7ba4 252958 libcups2_1.5.2-8_amd64.deb
 dcdac33563aa0da417fa9666870ffffc47e7453f 134666 libcupsimage2_1.5.2-8_amd64.deb
 0ae6011902199a4b4a8ed5d8f6ccce84deaa4330 112648 libcupscgi1_1.5.2-8_amd64.deb
 5077a0d4db9282fe2ec773621eef249af316476c 101846 libcupsdriver1_1.5.2-8_amd64.deb
 4e95366bf999792f7a44a34ba444835132610dc7 95888 libcupsmime1_1.5.2-8_amd64.deb
 9aae66a90d9dcf333e8b94c9be1834027c2d3af2 136142 libcupsppdc1_1.5.2-8_amd64.deb
 f65479a9d2c1e6e05576fc8a5d6c67fe3b80c499 1360046 cups_1.5.2-8_amd64.deb
 67f5c6ed59e514e7bd582b7f6701deb347b4c1a7 176562 cups-client_1.5.2-8_amd64.deb
 4d1851982dcdeb27b5fa8d79806d6a3de03182d4 326024 libcups2-dev_1.5.2-8_amd64.deb
 5077d57d4b7d2b071e6e8332a5a2b3fdb8014522 65442 libcupsimage2-dev_1.5.2-8_amd64.deb
 6f3509631e583c094b2095b8e1d885a8fad6e45a 119016 libcupscgi1-dev_1.5.2-8_amd64.deb
 640a2f6076679644e9dc4affa1856247caff33e3 105342 libcupsdriver1-dev_1.5.2-8_amd64.deb
 190505fac66c0c5c5e41ad8295889164a3cea2da 96976 libcupsmime1-dev_1.5.2-8_amd64.deb
 f35d188c438856d392df1590797aa2b6a27ad98a 154314 libcupsppdc1-dev_1.5.2-8_amd64.deb
 d7ba30177db223abc0fbc4cc4d9c23ff8685fa6f 44974 cups-bsd_1.5.2-8_amd64.deb
 7110170cfac709dafbcef1494d4b90adc29b61c3 113648 cups-ppdc_1.5.2-8_amd64.deb
 92e3e4db6911c68a04cd9e59c5e5b23b2587accb 1641786 cups-dbg_1.5.2-8_amd64.deb
Checksums-Sha256: 
 62a141b7103eea2b68c0d0ee3fb586f481f93659218b970cdad364b56a890375 3430 cups_1.5.2-8.dsc
 6c9d490ddcca223b6e74da0252bfa8aa193828e56a5fefba794d7219a8cd774c 335980 cups_1.5.2-8.debian.tar.gz
 83c8199d0fe5600f8484fdfc2f1a624d3ddd4a8c3fa387b7d742818ae24d9d15 898562 cups-common_1.5.2-8_all.deb
 7a160afd3d95f5e907c0a6e8e93938f2261b26a6173e3b3305c015fb0cdcb8b0 84032 cupsddk_1.5.2-8_all.deb
 6c1ecbbf807fb27577084ef12f92e1a428666d6ca36218fd28e32ba9ad4dd888 252958 libcups2_1.5.2-8_amd64.deb
 d8f79cce503805bfc1d2e57a340bd111a955bda007ed4c0700f9a3a27d8fba94 134666 libcupsimage2_1.5.2-8_amd64.deb
 91f2f43cfa36b8906a5724c8f03e60c1b3fe32ace4df8dd1ba53a9254c148bb5 112648 libcupscgi1_1.5.2-8_amd64.deb
 30b51da9c298d09f407159becd7dd877f4ebe1c80af7df5c308a0a5fcf766931 101846 libcupsdriver1_1.5.2-8_amd64.deb
 4464b05a4244ad07fc51693d811b5a2756bcb6900c07ce062df3243b776906ce 95888 libcupsmime1_1.5.2-8_amd64.deb
 a0b16e55d5058fb9e65b054b97dab610b2fbcabcb951d0b29167313b15f40bf8 136142 libcupsppdc1_1.5.2-8_amd64.deb
 82f0e339249f210b209486f1a4838a90f50b595d723540eb5ddf4a94dce1d213 1360046 cups_1.5.2-8_amd64.deb
 2c336108eea8f77e49392e7aaac8d8e74cae9f0d398e1c4849619f7ddb74d2cc 176562 cups-client_1.5.2-8_amd64.deb
 440fafc87b587af1e11e30ccb8716693a42784fef6c70f9803b6f2e3d58a7754 326024 libcups2-dev_1.5.2-8_amd64.deb
 63f5e7ad2966fde7d28c6778cc0cb3702e998e9654c9e304ede6099140e52ad2 65442 libcupsimage2-dev_1.5.2-8_amd64.deb
 c1c60a7816cd465b7fe3d5fa11f89eaeb6bbbdb95f3d3d5ea43763aac0d67806 119016 libcupscgi1-dev_1.5.2-8_amd64.deb
 7c4780a6a833fad3a762968d22047fe05345b89be60a7caaba59c0c305a4c201 105342 libcupsdriver1-dev_1.5.2-8_amd64.deb
 1325df8a5b6072dadde4e7c18e2132dfb537d2f5de253937c9b22d46bd7f3b2d 96976 libcupsmime1-dev_1.5.2-8_amd64.deb
 3f90376c170fa6297ad03e6e8043495ba303cd888fd94c07404237daa38f6c4c 154314 libcupsppdc1-dev_1.5.2-8_amd64.deb
 03057e38a94d62a6f8aef829205cc5c37caec2d90800477688061af6922e54d8 44974 cups-bsd_1.5.2-8_amd64.deb
 d4112972c19d08ee77f2485eeeeb9fc4585c4d5b895730c782e3ab522d5691df 113648 cups-ppdc_1.5.2-8_amd64.deb
 83757f16a73a603a508b12e18ead2784a294b2b1975baacdb9da0504ace87e70 1641786 cups-dbg_1.5.2-8_amd64.deb
Files: 
 6a0be78a010582141aa15aeeaef5933d 3430 net optional cups_1.5.2-8.dsc
 9bf1cbc9d1c6f5c4a169351dd5660128 335980 net optional cups_1.5.2-8.debian.tar.gz
 a5a8760aa7874cfaa936fa0ad758ce32 898562 net optional cups-common_1.5.2-8_all.deb
 f0c6dfc2530d11210c7f1b339ce51d7e 84032 oldlibs extra cupsddk_1.5.2-8_all.deb
 e494f226b226cbda4a3a74d7050071a5 252958 libs optional libcups2_1.5.2-8_amd64.deb
 0caa6e3096579db775a915e208e77046 134666 libs optional libcupsimage2_1.5.2-8_amd64.deb
 72fc25109abdb5a61943173576584024 112648 libs optional libcupscgi1_1.5.2-8_amd64.deb
 f9910d52135a2b026f7b8084ab3c9e5f 101846 libs optional libcupsdriver1_1.5.2-8_amd64.deb
 6e27b66d24534de45293a226edd5a516 95888 libs optional libcupsmime1_1.5.2-8_amd64.deb
 09e790de5d87529d4c5cddd8fb6f01d6 136142 libs optional libcupsppdc1_1.5.2-8_amd64.deb
 8d17df9db286da8be2e350320ebb8f60 1360046 net optional cups_1.5.2-8_amd64.deb
 d24aa516eff14bd802f1d387670d9639 176562 net optional cups-client_1.5.2-8_amd64.deb
 1a091e8728ab8eab268865bf6d5239eb 326024 libdevel optional libcups2-dev_1.5.2-8_amd64.deb
 f850d379df265591bd2eaa43ec8587a9 65442 libdevel optional libcupsimage2-dev_1.5.2-8_amd64.deb
 78509d81c52ae9a577f4ceb11bbae406 119016 libdevel optional libcupscgi1-dev_1.5.2-8_amd64.deb
 8c856c2e66da571ea7b3addfb1bb022d 105342 libdevel optional libcupsdriver1-dev_1.5.2-8_amd64.deb
 27c9c2c59253f0ee7d6aab40b8302291 96976 libdevel optional libcupsmime1-dev_1.5.2-8_amd64.deb
 0120b73ddb417026aaa0e7cb9dde824d 154314 libdevel optional libcupsppdc1-dev_1.5.2-8_amd64.deb
 38b9821176e632f6fc9d410def9b2212 44974 net extra cups-bsd_1.5.2-8_amd64.deb
 1eb86c41fae0c34816e75f3c828996a0 113648 utils optional cups-ppdc_1.5.2-8_amd64.deb
 1cedfed487ce921c70b1c3d6fa98512b 1641786 debug extra cups-dbg_1.5.2-8_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPYKD7AAoJEPmIJawmtHufHDoQAItesy3kSjJ599ZdAf/3cfxN
q4B6g6u31eyK3y/x4U31zUQ3TIcYhL56XNt+pQFFnoibnuLPh73Gexz+9mmcmj04
cIV4t5txPtCMr+lL05oUHR96syG5veobi2pNoYUAkpcagOcv3l7yjv98Ma3SkKEZ
YdWiuAZ+CqzQyRqDRuwZ8yAOABhDVK7qOYmYSHqyp1jj8Wu2uCjgBcS9djtWqX4f
Wcf4Jk1DqE2O4wYqD41EIWTsIbnSHnZQp13uOzDwit0rPebUcyDcTRh3lk0Clhsr
NbMIdkeGLcqSFSaZZI2qqyHFAetSefm13hDNnULlWZZwWz/6CUv56d7r6gHsdN0h
glM07CyTc5r16vCDeeARrTm4wiHkWkjssDQUq+eWuOniU5hSiEBLhE0DVYnGJvpE
1plnzwe41MlkV2moSjTgZn9aKE44kVicehvEVFBVt9KJVZA1b+PP/en2LHTE2TFJ
Bg1PnQSAOCseR6Mf7EJ7+/4mJgLBAn+4EL2gmh6R2Sadv1F6J6p9nhUjbWDV3Zd8
67vapW0XidlvxsrxZi1jr8oITsjk2UvLGzRW8OXAavQRC1mzK1zFXIORyYb4ocM8
cJrPQnWCLCL1/u8O4OT/gbFjc2BDVV11EYDMvhxIVDVhkmOUFgs7iCgPg607zhzE
9KWKR3XfKTGgYnKxSN7a
=camI
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 12 Apr 2012 07:42:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:42:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.